import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Weekday } from './util/weekdays';
import { Month } from './util/month';
export interface Pane {
    order: number;
    month: Month;
}
export declare class DatepickerComponent implements ControlValueAccessor, OnInit {
    date: Date;
    dateChange: EventEmitter<Date>;
    headingFormat: string;
    weekdayFormat: string;
    dayFormat: string;
    firstWeekday: Weekday;
    panes: Array<Pane>;
    weekdays: Array<Date>;
    days: number[];
    private visiblePaneIndex;
    private tilt;
    private selectedDate;
    private selectedDay;
    private selectedMonthTime;
    private currentDay;
    private currentMonthTime;
    private easeOut;
    private transitionDuration;
    private wrapperWidth;
    private isSwipeAllowed;
    private isClickFixed;
    private panOffset;
    private isMoving;
    private isSpringingBack;
    private onChange;
    private onTouched;
    readonly sliderStyles: {
        transition: string;
        transform: string;
    };
    ngOnInit(): void;
    startPress(): void;
    startPan(wrapperWidth: number): void;
    pan(event: any): void;
    endPan(): void;
    swipe(direction: number): void;
    scrollPanes(direction: number): void;
    selectDay(event: MouseEvent, month: Month): void;
    isToday(day: number, month: Month): boolean;
    isSelected(day: number, month: Month): boolean;
    private initPanes(date);
    private updateSelectedDate(date);
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
